Package twisted :: Package protocols :: Module imap4 :: Class _FetchParser |
[frames | no frames]

## Class _FetchParser

Method Summary
| `__init__(self)`
| `parseString(self, s)`
| `state_close_paren(self, s)`
| `state_fetch_att(self, s)`
| `state_finish_section(self, s)`
| `state_got_body(self, s)`
| `state_header_list(self, s)`
| `state_initial(self, s)`
| `state_maybe_fetch_att(self, s)`
| `state_maybe_partial(self, s)`
| `state_maybe_section(self, s)`
| `state_part_number(self, s)`
| `state_section(self, s)`
| `state_whitespace(self, s)`

Class Variable Summary
`list` | `_simple_fetch_att` = `[('envelope', <class twisted.protoco...`
`class` | `Body` = `twisted.protocols.imap4.Body`
`class` | `BodyStructure` = `twisted.protocols.imap4.BodyStructure`
`class` | `Envelope` = `twisted.protocols.imap4.Envelope`
`class` | `Flags` = `twisted.protocols.imap4.Flags`
`class` | `Header` = `twisted.protocols.imap4.Header`
`class` | `InternalDate` = `twisted.protocols.imap4.InternalDate`
`class` | `MIME` = `twisted.protocols.imap4.MIME`
`NoneType` | `parts` = None
`class` | `RFC822` = `twisted.protocols.imap4.RFC822`
`class` | `RFC822Header` = `twisted.protocols.imap4.RFC822Header`
`class` | `RFC822Size` = `twisted.protocols.imap4.RFC822Size`
`class` | `RFC822Text` = `twisted.protocols.imap4.RFC822Text`
`class` | `Text` = `twisted.protocols.imap4.Text`
`class` | `UID` = `twisted.protocols.imap4.UID`

Class Variable Details

    ### _simple_fetch_att Type: `list` Value:
        [('envelope', <class twisted.protocols.imap4.Envelope at 0x8497524>),
         ('flags', <class twisted.protocols.imap4.Flags at 0x840477c>),
         ('internaldate', <class twisted.protocols.imap4.InternalDate at 0x855\
        330c>),
         ('rfc822.header', <class twisted.protocols.imap4.RFC822Header at 0x86\
        4851c>),
         ('rfc822.text', <class twisted.protocols.imap4.RFC822Text at 0x87ea7e\
        c>),
        ...

    ### parts Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:12 2003 | http://epydoc.sf.net